| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | List of all members
Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 > Class Template Reference
Utililty classes

Callback with 5 arguments. More...

`#include <TelepathyQt/Callbacks>`

Inherits Tp::BaseCallback.

## Public Types

typedef R(* | FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5)
typedef R | ResultType

## Public Member Functions

| Callback5 ()
template<class Functor >
| Callback5 (const Functor &functor)
ResultType | operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5) const
Public Member Functions inherited from Tp::BaseCallback
| BaseCallback ()
| BaseCallback (AbstractFunctorCaller *caller)
| BaseCallback (const BaseCallback &other)
virtual | ~BaseCallback ()
bool | isValid () const
BaseCallback & | operator= (const BaseCallback &other)

## Additional Inherited Members

Protected Attributes inherited from Tp::BaseCallback
AbstractFunctorCaller * | caller

## Detailed Description

### template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
class Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >

Callback with 5 arguments.

See Callbacks Usage

## Member Typedef Documentation

template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

typedef R(* Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5)

template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

typedef R Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::ResultType

## Constructor & Destructor Documentation

template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::Callback5 | ( |  | ) |

inline

template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
template<class Functor >

Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::Callback5 | ( | const Functor & | functor | ) |

inline

## Member Function Documentation

template<class R, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

ResultType Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5
| ) |  | const

inline